package com.zipcodewilmington.gildedrose;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class InventoryTest {

    Inventory inventory;
    Item agedBrie;
    Item backStagePasses;
    Item sulfuras;

    @Before
    public void setup(){
        agedBrie = new Item("Aged Brie", 5, 1);
        backStagePasses = new Item("Backstage passes to a TAFKAL80ETC concert", 3, 1);
        sulfuras = new Item("Sulfuras, Hand of Ragnaros", 5, 10);
        Item[] items = {agedBrie, backStagePasses, sulfuras};
        inventory = new Inventory(items);

    }

    @Test
    public void updateQualityTest(){
        inventory.updateQuality();

        int expected = 2;
        int actual = agedBrie.getQuality();
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void agedBrieQualityTest(){
        inventory.updateQuality();

        int expected = 2;
        int actual =  agedBrie.getQuality();

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void agedBrieSellInTest(){
        inventory.updateQuality();
        //agedBrie.setSellIn(0);
        Assert.assertEquals(2, agedBrie.getQuality());
    }

    @Test
    public void backStagePassQualityTest() {
        inventory.updateQuality();
        Assert.assertEquals(4, backStagePasses.getQuality());
    }

    @Test
    public void backStagePass5Test(){
        inventory.updateQuality();

        Assert.assertEquals(4, backStagePasses.getQuality());

    }

    @Test
    public void backStagePass10Test() {
        inventory.updateQuality();

        Assert.assertEquals(4, backStagePasses.getQuality());
    }

}

